#!/bin/bash
#
# Environment script for CSPP_HEAP
#
# N.B.  User is responsible for lftp in $PATH (unless --quarantine)
#
# module purge
#
# This is how built on thunder, so any dynamic-linked executables
# will need libraries obtained from these modules
#
# module load gcc/4.4 hdf/4.2.9 szip/2.1 hdf5/1.8.8 netcdf4/4.1.3
#
# EDIT THIS VARIABLE TO POINT YOUR INSTALLATION. For example,
#
# install_dir=/data/jimd/Projects/CSPP_HEAP_1_0

install_dir=/data/jimd/Projects/CSPP_HEAP
remote_anc=https://jpssdb.ssec.wisc.edu/cspp_v_2_0/ancillary


# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#                                                             #
#  There is nothing for the user to modify below this point   #
#                                                             #
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

test -n "$CSPP_HEAP_HOME" || export CSPP_HEAP_HOME=$install_dir
test -n "$CSPP_HEAP_REVNAME" || export PATH=$CSPP_HEAP_HOME/scripts:$PATH
test -n "$JPSS_REMOTE_ANC_DIR" || export JPSS_REMOTE_ANC_DIR=$remote_anc
test -n "$CSPP_DYNAMIC_ANCIL_DIR" || export CSPP_DYNAMIC_ANCIL_DIR=$CSPP_HEAP_HOME/data/dynamic_ancillary

# This is the revision from NOAA/STAR modified for CSPP
export CSPP_HEAP_REVNAME=DAP/HEAP_v2-1

# Check if we think environment is correct
version=$CSPP_HEAP_HOME/$CSPP_HEAP_REVNAME
test -d "$version" || echo "CSPP_HEAP environment improperly set"
test -d "$version" || echo "Exit shell, edit cspp_nucaps_env.sh and source it"
test -d "$version" && export CSPP_HEAP_REVDATE=20201029

